# CppUnitTestPlugin

abstract class CppUnitTestPlugin : Plugin<T>

A plugin that sets up the infrastructure for testing C++ binaries using a simple test executable. Gradle will create a RunTestExecutable task that relies on the exit code of the binary.

#### Since

4.4

## Constructors

CppUnitTestPlugin
Link copied to clipboard
@Inject
constructor(componentFactory: NativeComponentFactory, toolChainSelector: ToolChainSelector, objectFactory: ObjectFactory, attributesFactory: AttributesFactory, targetMachineFactory: TargetMachineFactory)

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)